Download it now!
Bug 101914 - Page format dialog, missing Import Image for page Area -> Fill -> Bitmap as a background image
Summary: Page format dialog, missing Import Image for page Area -> Fill -> Bitmap as a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Page-Style-Dialog
  Show dependency treegraph
 
Reported: 2016-09-05 19:13 UTC by Cor Nouws
Modified: 2016-11-08 16:09 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-09-05 19:13:14 UTC
as per subject.
Comment 1 Cor Nouws 2016-09-05 19:14:09 UTC
Is OK in 5.2.1.2..
@jay: any idea?
Comment 2 V Stuart Foote 2016-09-05 20:21:04 UTC
Confirmed. The Page dialog -> Area -> Bitmap panel has lost controls for "Import Image" and Size, Position and Offset placement.

On Windows 10 Pro 64-bit en-US with
Version: 5.3.0.0.alpha0+
Build ID: 696e83b663d4f3e00f23947613f9f3916a4dd14d
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-03_10:21:32
Locale: en-US (en_US); Calc: CL
Comment 3 Regina Henschel 2016-09-05 20:43:58 UTC
The GSoC-project was not finished.
Comment 4 Yousuf Philips (jay) (retired) 2016-09-05 21:18:03 UTC
Yes Rishabh's patch to merge all the tabs into a single tab hasnt been merged.

https://gerrit.libreoffice.org/27866
Comment 5 V Stuart Foote 2016-09-05 21:48:16 UTC
(In reply to Yousuf Philips (jay) from comment #4)
> Yes Rishabh's patch to merge all the tabs into a single tab hasnt been
> merged.
> 
> https://gerrit.libreoffice.org/27866

Not only that but he and Bubli were unable to resolve code issues and he's abandoned it. Some things need reversion?
Comment 6 Yousuf Philips (jay) (retired) 2016-09-05 21:57:18 UTC
(In reply to V Stuart Foote from comment #5)
> Not only that but he and Bubli were unable to resolve code issues and he's
> abandoned it. Some things need reversion?

Yes he set it to abandon so that he would be asked about the patch, but bubli mentioned that she possibly could complete it.
Comment 7 Xisco Faulí 2016-09-12 12:51:44 UTC
Adding keyword 'bibisectRequest'.
Comment 8 Xisco Faulí 2016-09-14 12:10:35 UTC
Regression introduced in range eee5d67d06c8e0c81ab0874171af0d5c4de18860..1485074d84f7804a2942d4942d7d194039948d05 where there are two commits changing code reagarding bitmap:

author	Rishabh Kumar <kris.kr296@gmail.com>	2016-07-26 17:24:24 (GMT)
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-07-26 18:33:01 (GMT)
commit	a44a0690da6d7cdc173fffea2b87ca899eb41ecd (patch)
tree	416f12fc49e144e448110a24dbbdeb2ec5effe7c
parent	c9b2af045acc92c8665a8523407f530cc691d5bf (diff)
[GSoC] Add Bitmap tab to area dialog

author	Rishabh Kumar <kris.kr296@gmail.com>	2016-07-07 21:18:42 (GMT)
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2016-07-26 19:31:28 (GMT)
commit	7438bc1f0c4fd42420460a144cc074bfb8091705 (patch)
tree	9f8fc5ca96905884c75534d9387674c8239afa4d
parent	a44a0690da6d7cdc173fffea2b87ca899eb41ecd (diff)
[GSoC] Remove bitmap controls from area tab
Comment 9 Yousuf Philips (jay) (retired) 2016-09-14 15:14:21 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> Yes he set it to abandon so that he would be asked about the patch, but
> bubli mentioned that she possibly could complete it.

Correction: wouldnt.

(In reply to Xisco Faulí from comment #7)
> Adding keyword 'bibisectRequest'.

Sorry that you had to do this, as it didnt need bibisecting.
Comment 10 Cor Nouws 2016-11-08 16:09:51 UTC
fixed in Version: 5.3.0.0.alpha1+
Build ID: a6ce5d391476e4b6a2cb2d92ff45548c1d75684b
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-03_23:34:51
Locale: nl-NL (nl_NL.UTF-8); Calc: group